using UnityEngine;

[CreateAssetMenu(fileName = "EnemyAttributes", menuName = "Enemy Attributes")]
public class EnemyAttributesSO : ScriptableObject
{
    [SerializeField] private Attribute STR;
    [SerializeField] private Attribute CON;
    [SerializeField] private Attribute SPD;
    [SerializeField] private Attribute RNG;
    [SerializeField] private Attribute MND;
    public long XP { get; private set; }
    public long Threat { get; private set; }

    public static EnemyAttributesSO New()
    {
        return ScriptableObject.CreateInstance<EnemyAttributesSO>();
    }
}
